[Linux-HA] mgmtd and SLES9

Dejan Muhamedagic dejanmm at fastmail.fm
Tue Sep 11 09:33:56 MDT 2007


On Tue, Sep 11, 2007 at 02:52:48PM +0200, Jose Jerez wrote:
> Oh, so there's even a patch already.  Pity I didn't know that last week.

There's a patch as of today, so you didn't miss anything last
week.

> I'll apply it in the next node I install, so far my systems goes
> smooth with the solution I used and now hearbeat is defeating hacmp
> :-)
> 
> Thanks for your time.

Welcome. And thanks to you for finding where is the problem.

Cheers,

Dejan

> On 9/11/07, Dejan Muhamedagic <dejanmm at fastmail.fm> wrote:
> 
> > Thanks for digging and figuring this one out. Apparently, there
> > was a protocol version check introduced, but old clients never
> > supply a protocol version. So, the server just refuses to
> > connect. There's a patch now in the dev hg
> > http://hg.linux-ha.org/dev/rev/d60f8af85ec0 which should fix
> > this.
> >
> > > As for my poor man's solution it is to comment the checking of that
> > > fourth field, hopfully it is not used anywhere else, in my simple
> > > tests so far it works flawlessly :
> > >
> > > ...
> > >  if (msg == NULL || STRNCMP_CONST(args[0], MSG_LOGIN) != 0) {
> > > ...
> > > /* if (STRNCMP_CONST(args[3], MGMT_PROTOCOL_VERSION) != 0) {
> > > ...
> > > } /*
> >
> > It seems like there is only one protocol version so far, so that
> > check is still superfluous.
> >
> > > Now I can connect using hb_gui, and added an IP resource.
> > >
> > > If any of the developers discovers what the real problem is and a
> > > better solution I'll be happy to apply it.
> >
> > Yes, please.
> >
> > Cheers,
> >
> > Dejan
> >
> > > I sure will be back soon with more questions ;-)
> > >
> > > Thanks for your help
> _______________________________________________
> Linux-HA mailing list
> Linux-HA at lists.linux-ha.org
> http://lists.linux-ha.org/mailman/listinfo/linux-ha
> See also: http://linux-ha.org/ReportingProblems



More information about the Linux-HA mailing list